Go to the latest version of this document.

# ``twisted`.`application`.`runner`.`_exit``

module documentation
(source)

System exit support.

Class | `ExitStatus` | Standard exit status codes for system programs.
Function | `exit` | Exit the python interpreter with the given status and an optional message.

def exit(status: `int | ExitStatus`, message: `str` = '') -> `NoReturn`: (source)

Exit the python interpreter with the given status and an optional message.

Parameters
status:`int | ExitStatus` | An exit status. An appropriate value from `ExitStatus` is recommended.
message:`str` | An optional message to print.

Returns
`NoReturn` | Undocumented